Skip to main content
`Ctrl`+`K`

# DMNetworkGetSubnetwork

Returns the information about a requested subnetwork

## Synopsis

    #include "petscdmnetwork.h"
    PetscErrorCode DMNetworkGetSubnetwork(DM dm, PetscInt netnum, PetscInt *nv, PetscInt *ne, const PetscInt *vtx[], const PetscInt *edge[])

Not Collective

## Input Parameters

- dm - the `DMNETWORK` object

- netnum - the global index of the subnetwork

## Output Parameters

- nv - number of vertices (local)

- ne - number of edges (local)

- vtx - local vertices of the subnetwork

- edge - local edges of the subnetwork

## Notes

Cannot call this routine before `DMNetworkLayoutSetup()`

The local vertices returned on each rank are determined by `DMNETWORK`. The user does not have any control over what vertices are local.

## See Also

`DM`, `DMNETWORK`, `DMNetworkCreate()`, `DMNetworkAddSubnetwork()`, `DMNetworkLayoutSetUp()`

## Level

intermediate

## Location

src/dm/impls/network/network.c

Index of all DMNetwork routines
Table of Contents for all manual pages
Index of all manual pages